# Image AI Edit Options

### Model

The API offers two models. We recommend `v2` for most production use cases due to its superior quality and speed.

<table><thead><tr><th width="112.3333740234375">Model</th><th>Description</th></tr></thead><tbody><tr><td><code>v2</code></td><td><strong>Recommended</strong>. Our latest model: native 2K resolution, faster, more accurate prompt following, better texture realism and product preservation.</td></tr><tr><td><code>v1</code></td><td>Older model retained for workflows requiring custom aspect ratio.</td></tr></tbody></table>

`v2` model is used by default.

```json
"options": {
  "model": "v2",
  "prompt": "add a duck"
}
```

### Prompt <a href="#upscale" id="upscale"></a>

The prompt is a text description that guides the AI on how to edit the image. It tells the AI what new elements to add or what changes to make.

```json
"options": {
  "prompt": "add a duck"
}
```

### Inference Steps

{% hint style="warning" %}
The choice of inference steps is only supported for the `v1` model.
{% endhint %}

Inference steps controls the number of steps the AI takes to refine the image. A higher number of steps can produce more detailed and higher-quality images but will also increase the processing time.

<pre class="language-json"><code class="lang-json">"options": {
<strong>  "model": "v1",
</strong>  "prompt": "add a duck",
  "inference_steps": 50
}
</code></pre>

### Guidance Scale

{% hint style="warning" %}
The choice of guidance scale is only supported for the `v1` model.
{% endhint %}

The guidance scale determines how closely the AI should follow the instructions in your prompt. A higher value means the AI will stick more strictly to your prompt, while a lower value allows the AI to be more creative and generate a more diverse result.

```json
"options": {
  "model": "v1",
  "prompt": "add a duck",
  "guidance_scale": 4.0
}
```

### Aspect Ratio

{% hint style="warning" %}
The choice of aspect ratio is only supported for the `v1` model.
{% endhint %}

The aspect ratio defines the final dimensions of the edited image. This parameter is used to crop and resize the output to a specific width-to-height ratio. The API supports various common aspect ratios.

```json
"options": {
  "model": "v1",
  "prompt": "add a duck",
  "aspect_ratio": "1:1"
}
```

By default, the aspect ratio is the same as an input image. But you can change it to any of the following values:

| Aspect ratio | Output size |
| ------------ | ----------- |
| 1:1          | 1024x1024px |
| 2:3          | 832x1248px  |
| 3:2          | 1248x832px  |
| 3:4          | 880x1168px  |
| 4:3          | 1168x880px  |
| 9:16         | 768x1360px  |
| 16:9         | 1360x768px  |
| 9:21         | 656x1552px  |
| 21:9         | 1552x656px  |

### Possible values

| Parameter         | Type    | Range           | Default value      |
| ----------------- | ------- | --------------- | ------------------ |
| `model`           | string  | `"v1"` , `"v2"` | `"v2"`             |
| `prompt`          | string  | 3-5000          | **required**       |
| `inference_steps` | integer | 1-50            | depends on a model |
| `guidance_scale`  | float   | 1.0-10.0        | depends on a model |
| `aspect_ratio`    | string  | "1:1".."21:9"   | same as input      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.claid.ai/image-ai-edit-api/image-ai-edit-options.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
